# $Revision: 1.59 $, $Date: 2002/04/18 10:52:36 $
Summary:	Home computer cron daemon
Summary(de):	Home computer cron daemon
Summary(fr):	Dmon Home computer cron
Summary(pl):	Demon cron dla domowego komputera
Summary(tr):	Home computer cron sreci, periyodik program altrma yetenei
Name:		hc-cron
Version:	0.14
Release:	9
License:	GPL
Group:		Daemons
Source0:	ftp://hc-cron.berlios.de/pub/hc-cron/stable/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	cron.logrotate
Source3:	%{name}.crontab
Source4:	crontab.1.pl
Source5:	cron.8.pl
Source6:	cron.sysconfig
Patch0:		%{name}-syscrondir.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-time.patch
Patch3:		%{name}-closefile.patch
Requires:	/bin/run-parts
Requires:	psmisc >= 20.1
Provides:	crontabs
Provides:	crondaemon
Prereq:		rc-scripts
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	crondaemon
Obsoletes:	vixie-cron
Obsoletes:	crontabs

%description
cron is a standard UNIX program that runs user-specified programs at
periodic scheduled times. hc-cron adds a number of features to the
basic UNIX cron, including better security and more powerful
configuration options.

%description -l de
cron ist ein Standard-UNIX-Programm, das zu vorgegebenen Zeiten vom
Benutzer angegebene Programme ausfhrt. hc-cron weist mehr Funktionen
auf als cron aus UNIX, u.a. bessere Sicherheit und leistungsfhigere
Konfigurationsoptionen.

%description -l fr
cron est un des programmes UNIX standard qui permet  un utilisateur
donn de lancer des priodiquement des programmes selon un ordre
planifi. hc-cron ajoute de nombreuses fonctionnalits au cron UNIX de
base, dont une plus grande scurit et des options de configuration
plus puissantes.

%description -l pl
cron to standardowy uniksowy program, ktry okresowo uruchamia
okrelone przez uytkownikw programy. hc-cron dodaje moliwoci
podstawowemu uniksowemu cronowi, w tym lepsze bezpieczestwo i
bogatsze opcje konfiguracyjne.

%description -l tr
cron UNIX'de standart olarak belirli zamanlarda bir program
altrmak iin kullanlan daemon'dur. hc-cron, standart cron'dan
daha gvenlidir ve daha gelimi yaplandrma seenekleri ierir.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} OPTIM="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{cron.{hourly,daily,weekly,monthly},cron} \
$RPM_BUILD_ROOT%{_sysconfdir}/{cron.d,rc.d/init.d,logrotate.d,sysconfig} \
	$RPM_BUILD_ROOT%{_mandir}/{man{1,5,8},pl/man{1,8}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT/var/{spool/cron,log}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/pl/man1/crontab.1
install %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/pl/man8/cron.8

echo ".so cron.8" > $RPM_BUILD_ROOT%{_mandir}/man8/crond.8
echo ".so cron.8" > $RPM_BUILD_ROOT%{_mandir}/pl/man8/crond.8

echo "# Simple define users for cron" > $RPM_BUILD_ROOT%{_sysconfdir}/cron/cron.allow
echo "root" > $RPM_BUILD_ROOT%{_sysconfdir}/cron/cron.allow
:> $RPM_BUILD_ROOT/var/log/cron

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/crond
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/cron
install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.d/system
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/cron

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add crond
if [ -f /var/lock/subsys/crond ]; then
	/etc/rc.d/init.d/crond restart >&2
else
	echo "Run \"/etc/rc.d/init.d/crond start\" to start cron daemon."
fi
touch /var/log/cron
chmod 640 /var/log/cron


%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/crond ]; then
		/etc/rc.d/init.d/crond stop >&2
	fi
	/sbin/chkconfig --del crond
fi

%triggerpostun -- vixie-cron
/sbin/chkconfig --add crond

%triggerpostun -- hc-cron <= 0.14-8
if [ -f /var/lib/cron.lastrun ]; then
	mv -f /var/lib/cron.lastrun /var/lib/misc/cron.lastrun
fi

%files
%defattr(644,root,root,755)

%attr(754,root,root) /etc/rc.d/init.d/crond

%attr(640,root,root) %config(noreplace) /etc/logrotate.d/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/*

%attr(750,root,root) %dir %{_sysconfdir}/cron*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/cron/*
%attr(640,root,root) /etc/cron.d/*

%attr(0755,root,root) %{_sbindir}/crond
%attr(4755,root,root) %{_bindir}/crontab

%{_mandir}/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%attr(750,root,root) %dir /var/spool/cron
%attr(640,root,root) %ghost /var/log/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: hc-cron.spec,v $
Revision 1.59  2002/04/18 10:52:36  qboosh
- changed paths patch: cron.lastrun moved to /var/lib/misc (FHS 2.2 compliant)
- release 9

Revision 1.58  2002/03/12 15:42:16  qboosh
- release 8: added missing /etc/cron dir to package

Revision 1.57  2002/03/04 12:25:23  kura
- release 7
- added closefile.patch

Revision 1.56  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 02:13:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.53  2001/12/07 00:47:31  blues
- release 6
- fix (BTS #28)

Revision 1.52  2001/09/24 13:20:14  qboosh
- release 5: Prereq: /sbin/chkconfig

Revision 1.51  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.49  2001/07/04 13:53:46  kloczek
- chenged permission on cronta binary to 4755/root.root.

Revision 1.48  2001/07/04 12:20:06  zagrodzki
- release 4 (for rebuild with new glibc release)

Revision 1.47  2001/04/28 15:09:34  qboosh
- Requires: psmisc >= 20.1 (because of /bin/killall used in logrotate script)
- release up

Revision 1.46  2001/04/09 08:07:02  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.45  2001/03/13 19:36:46  areq
- adaptarized, stb

Revision 1.44  2001/03/13 19:16:35  areq
- 0.14
- add time.patch

Revision 1.43  2001/02/20 16:38:01  wiget
%%config(noreplace); STB

Revision 1.42  2001/02/19 14:16:03  baggins
- release 7
- by default allow root to use crontab

Revision 1.41  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.40  2001/01/25 20:03:23  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.39  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.38  2000/11/06 01:55:12  kloczek
- release 6: use new rpm automation.

Revision 1.37  2000/09/11 10:18:48  kloczek
- cosmetics.

Revision 1.36  2000/08/09 09:00:47  zagrodzki
- release 5
- /bin/run-parts (not /usr/bin/run-parts)
- adapterized

Revision 1.35  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.34  2000/06/01 14:19:27  baggins
- fixed patch numbers used in install (siefca THINK!)

Revision 1.33  2000/05/07 15:41:59  siefca
removed run-parts script, now you can find it in other package (rc-scripts)

Revision 1.32  2000/04/13 08:43:49  zagrodzki
- release 2 (rc-scripts v. 2.0 compatible init)

Revision 1.31  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.29  2000/02/05 19:24:47  waszi
- small fixes

Revision 1.28  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.27  1999/10/11 17:39:01  kloczek
- cron.log changed to cron.logrotate.

Revision 1.26  1999/10/11 13:48:54  wiget
- updated to 0.13
- s/crontab.d/cron.d/

Revision 1.25  1999/09/11 13:39:46  misiek
- fixed requires (PR#34)

Revision 1.24  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.11-5]
- compiled on rpm 3
- removed man group from man pages

* Sat Mar 06 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.11-4]
- fixed files permissions,
- cleaning up spec.

* Wed Jan 26 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.11-3d]
- added Gorup(pl).

* Mon Dec  9 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.11-2]
- added gzipping man pages,
- fixed %preun,
- fixed system crontab.

* Mon Nov 16 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.11-1]
- added crontabs to Obsoletes,
- added Provides: crontabs,
- added restatring service in %post if before insall was started,
- added stop service in %preun on uninstall package,
- added NICE=15 in default crontab (as Qrczak suggest),
- new hc-cron-syscrondir.patch (made by Marcin 'Qrczak' Kowalczyk
  <qrczak@knm.org.pl>),
- added using %{SOURCE#} macros in %install.

* Mon Oct 5 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
  [0.10-1]
- package generally reviewed: now properly handles catched-up jobs
  (it generally didn't work at all), added support for NICE variable,
  removed testing load average to execute catched-up jobs at idle time
  only (my system has a permanent low-priority process running), minor
  bugs fixed; everything is in the syscrondir patch

* Wed Sep 30 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
- vixie-cron's spec and syscrondir patch adapted to hc-cron;
  other patches removed, as they are already applied in hc-cron's sources

* Mon Sep 28 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
- use %{name} and %{version} macros
- simplified /etc/rc.d/rc?.d/???crond stuff
- added %setup -q parameter
- `mkdir -p' replaced with more standard `install -d'
- added full %attr description in %files
- %{_sbindir}/crond permissions changed to 700
- replaced symlink in man page with .so include
- added pl translation
- changed install procedure to allow building from non-root account
- added patch that reads /etc/crontab.d/* in addition to /etc/crontab,
  simplifying automatic adding of cron jobs by packages,
- build against GNU libc-2.1
- start at RH spec file.
